Bug 5492 - RPM build fails - missing libmsrpc.so
RPM build fails - missing libmsrpc.so
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Build environment
3.2.0
x86 Linux
: P3 major
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 23:59 UTC by D.L. Meyer
Modified: 2008-09-10 04:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D.L. Meyer 2008-05-27 23:59:48 UTC
When building RHEL4 RPMs from the 3.2.0rc1 source tarball, the build fails when it cannot find 'libmsrpc.so':

+ rm -f '/var/tmp/samba-3.2.0-root/usr/lib*/samba/libmsrpc.so' '/var/tmp/samba-3.2.0-root/usr/lib*/samba/libmsrpc.a'
+ install -m 755 source/bin/libmsrpc.so /var/tmp/samba-3.2.0-root/usr/lib/libmsrpc.so
install: cannot stat `source/bin/libmsrpc.so': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.80134 (%install)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.80134 (%install)
bash: Done.


I resolved this error with the following:
----------------------
--- RHEL/samba.spec.tmpl        2008-05-23 08:53:36.000000000 -0500
+++ RHEL/samba.spec     2008-05-27 23:46:24.000000000 -0500
@@ -228,11 +228,11 @@

 # make install puts libmsrpc.so in the wrong place on x86_64
 rm -f $RPM_BUILD_ROOT/usr/lib*/samba/libmsrpc.so $RPM_BUILD_ROOT/usr/lib*/samba/libmsrpc.a || true
-install -m 755 source/bin/libmsrpc.so $RPM_BUILD_ROOT%{_libdir}/libmsrpc.so
-install -m 755 source/bin/libmsrpc.a $RPM_BUILD_ROOT%{_libdir}/libmsrpc.a
-install -m 644 source/include/libmsrpc.h $RPM_BUILD_ROOT%{_includedir}
+#install -m 755 source/bin/libmsrpc.so $RPM_BUILD_ROOT%{_libdir}/libmsrpc.so
+#install -m 755 source/bin/libmsrpc.a $RPM_BUILD_ROOT%{_libdir}/libmsrpc.a
+#install -m 644 source/include/libmsrpc.h $RPM_BUILD_ROOT%{_includedir}
 rm -f $RPM_BUILD_ROOT%{_libdir}/samba/libmsrpc.*
-ln -s /%{_libdir}/libmsrpc.so $RPM_BUILD_ROOT%{_libdir}/libmsrpc.so.0
+#ln -s /%{_libdir}/libmsrpc.so $RPM_BUILD_ROOT%{_libdir}/libmsrpc.so.0

 # make install puts libsmbsharemodes.so in the wrong place on x86_64
 rm -f $RPM_BUILD_ROOT/usr/lib*/samba/libsmbsharemodes.so $RPM_BUILD_ROOT/usr/lib*/samba/libsmbsharemodes.a || true
@@ -477,8 +477,8 @@

 %{_includedir}/libsmbclient.h
 %{_libdir}/libsmbclient.*
-%{_includedir}/libmsrpc.h
-%{_libdir}/libmsrpc.*
+#%{_includedir}/libmsrpc.h
+#%{_libdir}/libmsrpc.*
 %{_includedir}/smb_share_modes.h
 %{_libdir}/libsmbsharemodes.*

----------------------


These edits resolved this issue, but I have not yet determined if these packages are fully functional without these referenced files...
Comment 1 Karolin Seeger 2008-09-10 04:24:47 UTC
Fixed with 3eaa33e9.
Will be included in 3.2.4.
Closing out bug report.

Thank you very much for the report!